> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Knowledge Base

> Update name and description of a specific Knowledge Base by ID. Requires `x-api-key` authentication.



## OpenAPI

````yaml PUT /ext/kb/{id}
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/kb/{id}:
    put:
      summary: Update Name and Description of Knowledge Base
      description: >-
        Update name and description of a specific Knowledge Base by ID. Requires
        `x-api-key` authentication.
      operationId: updateKnowledgeBase
      parameters:
        - name: id
          in: path
          required: true
          description: UUID of the Knowledge Base to update
          schema:
            type: string
            format: uuid
            example: ff152cd9-efb6-4367-a545-b861c9fbd3d0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: Revised HR Policies
                description:
                  type: string
                  example: Revised HR and Compensation policy.
                is_active:
                  type: boolean
                  example: true
            example:
              name: Revised HR Policies
              description: Revised HR and Compensation policy.
              is_active: true
      responses:
        '200':
          description: Knowledge Base updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    description: UUID of the updated Knowledge Base.
                    example: ff152cd9-efb6-4367-a545-b861c9fbd3d0
                  message:
                    type: string
                    example: Knowledge Base updated successfully
              example:
                id: ff152cd9-efb6-4367-a545-b861c9fbd3d0
                message: Knowledge Base updated successfully
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Invalid request body
        '401':
          description: Unauthorized – Missing or invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
        '404':
          description: Knowledge Base not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                message: Knowledge Base not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Failed to retrieve knowledge base
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````